function aesthetic_features(fp, I, output,n,m)
Xa=0;
Xb=m;
Ya=0;
Yb=n;
width=Xb-Xa;
height=Yb-Ya;

xa=output(1);
xb=output(2);
ya=output(3);
yb=output(4);
width_face=xb-xa;
height_face=yb-ya;

%Mid points of image
midx = (xa+xb)/2;
midy = (ya+yb)/2;

%Features 1-4
%Distance of image mid points from 4 aesthetic (power) points
[dist]=distance_aesth(midx, midy, Xa+width/3, Ya+height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(1)=dist/(width*height);
[dist]=distance_aesth(midx, midy, Xa+2*width/3, Ya+height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(2)=dist/(width*height);
[dist]=distance_aesth(midx, midy, Xa+width/3, Ya+2*height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(3)=dist/(width*height);
[dist]=distance_aesth(midx, midy, Xa+2*width/3, Ya+2*height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(4)=dist/(width*height);
%Min distance among 4 power points
minDistPoints=min(val);

%Features 5-8
%Distance of image mid points from 4 lines
[dist]=distance_aesth(midx, midy, Xa+width/3, midy);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(1)=dist/(width*height);
[dist]=distance_aesth(midx, midy, Xa+2*width/3, midy);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(2)=dist/(width*height);
[dist]=distance_aesth(midx, midy, midx, Ya+height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(3)=dist/(width*height);
[dist]=distance_aesth(midx, midy, midx, Ya+2*height/3);
% disp(sprintf('#dist=%d',dist/(width*height)));
fprintf(fp,'%4.5f, ',dist/(width*height));
val(4)=dist/(width*height);
%Min distance among 4 Lines
minDistLines=min(val);

%Feature 9
fprintf(fp,'%4.5f, ',minDistPoints*minDistLines);

%Feature 10-11
%GIST for computing horizon
horizon = getHorizon(I); % h is a value in the range [-0.5, 0.5]
a = (horizon+.5)*height;
b = height - a;
phi = (1+sqrt(5))/2;
if (b >= a) 
%         disp(sprintf('%4.4f',(phi - b/a)));
%         disp(sprintf('%4.4f',(phi - (a+b)/b)));
        fprintf(fp,'%4.4f, ',(phi - b/a));
        fprintf(fp,'%4.4f, ',(phi - (a+b)/b));
elseif (a > b)
%         disp(sprintf('f17=%4.4f',(phi - b/a)));
%         disp(sprintf('f18=%4.4f',(phi - (a+b)/b)));
        fprintf(fp,'%4.4f, ',(phi - a/b));
        fprintf(fp,'%4.4f, ',(phi - (a+b)/a));
end
 
%Feature 12
%Ratio of face to image
face_ratio = (width_face*height_face)/(width*height);
% disp(sprintf('face_ratio=%d',face_ratio));
fprintf(fp,'%4.4f, ',face_ratio);

%Features 13-15
% Avg HSV of original Image
hsvI=rgb2hsv(I);
global_hue = sum(sum((hsvI(:,:,1))))/(width*height);
global_saturation = sum(sum((hsvI(:,:,2))))/(width*height);
global_value = sum(sum((hsvI(:,:,3))))/(width*height);
% disp(sprintf('hue=%d sat=%d val=%d',global_hue,global_saturation,global_value));
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',global_hue,global_saturation,global_value);

%Features 16-18
%Ycbcr of original image
ycbcrI=rgb2ycbcr(I);
global_y = sum(sum((ycbcrI(:,:,1))))/(width*height);
global_cb = sum(sum((ycbcrI(:,:,2))))/(width*height);
global_cr = sum(sum((ycbcrI(:,:,3))))/(width*height);
% disp(sprintf('ycbI = %4.4f, %4.4f, %4.4f, ',global_y,global_cb,global_cr));
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',global_y,global_cb,global_cr);

%----------------------------------------------------------%
%Features 19-21
%Crops the face, and compute HSV 
rect = [xa ya width_face height_face]; 
I2 = imcrop(I, rect);
hsvI2=rgb2hsv(I2);
local_hue=sum(sum((hsvI2(:,:,1))))/(width_face*height_face);
local_saturation=sum(sum((hsvI2(:,:,2))))/(width_face*height_face);
local_value=sum(sum((hsvI2(:,:,3))))/(width_face*height_face);
fprintf(fp, '%4.4f, %4.4f, %4.4f, ', local_hue, local_saturation, local_value);

%Features 22-24
%Compute Ycbcr of face
ycbcrI2=rgb2ycbcr(I2);
local_y=sum(sum((ycbcrI2(:,:,1))))/(width_face*height_face);
local_cb=sum(sum((ycbcrI2(:,:,2))))/(width_face*height_face);
local_cr=sum(sum((ycbcrI2(:,:,3))))/(width_face*height_face);
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',local_y, local_cb, local_cr);

%Features 25-30
%Difference between local and global HSV, Ycbcr
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',global_hue-local_hue, global_saturation-local_saturation, global_value-local_value);
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',global_y-local_y, global_cb-local_cb,global_cr-local_cr);

%Features 31-36
%Crops the middle rule of third rectangle and compute avg HSV and Ycbcr
rect = [Xa+width/3 Ya+height/3 width/3 height/3];
I3 = imcrop(I, rect);
hsvI3=rgb2hsv(I3);
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',sum(sum(hsvI3(:,:,1)))*9/(width*height),sum(sum(hsvI3(:,:,2)))*9/(width*height),sum(sum(hsvI3(:,:,3)))*9/(width*height));
ycbcrI3=rgb2ycbcr(I3);
fprintf(fp, '%4.4f, %4.4f, %4.4f, ',sum(sum(ycbcrI3(:,:,1)))*9/(width*height),sum(sum(ycbcrI3(:,:,2)))*9/(width*height),sum(sum(ycbcrI3(:,:,3)))*9/(width*height));

%----------------------------------------------------------%
clear I3;
pack;

%Features 37-40
%Size and Aspect Ratio of image and face
fprintf(fp, '%4.4f, %4.4f, %4.4f, %4.4f, ',width+height, width/height, width_face+height_face, width_face/height_face);


%Features 41-44
%Based on RGB - Brightness
L = im2double(I(:,:,1)+I(:,:,2)+I(:,:,3))/3;
global_brightness = sum(sum(L))/(width*height);
log_brightness = sum(sum(log(0.001+L/255))*255/(width*height));
fprintf(fp, '%4.4f, %4.4f, ',global_brightness, log_brightness);
M = im2double(I2(:,:,1)+I2(:,:,2)+I2(:,:,3))/3;
local_brightness = sum(sum(M))/(width_face*height_face);
local_log_brightness = sum(sum(log(0.001+M/255)));
fprintf(fp, '%4.4f, %4.4f, ',local_brightness, local_log_brightness);

%---------------------------------------------------------------%
%Features 45-46
%Sharpness - image and face
[sharpness]=estimate_sharpness_test(I);
fprintf(fp, '%4.4f, ',sharpness);
[sharpness]=estimate_sharpness_test(I2);
fprintf(fp, '%4.4f, ',sharpness);

%Features 47-50
%Texture - Global
GLCM2 = graycomatrix(rgb2gray(I));
stats = graycoprops(GLCM2);
contrast=stats.Contrast;
correlation=stats.Correlation;
energy=stats.Energy;
homogeneity=stats.Homogeneity;
fprintf(fp, '%4.4f, ',contrast);
fprintf(fp, '%4.4f, ',correlation);
fprintf(fp, '%4.4f, ',energy);
fprintf(fp, '%4.4f, ',homogeneity);

%Features 51-54
%Texture - Local
GLCM2 = graycomatrix(rgb2gray(I2));
stats = graycoprops(GLCM2);
contrast=stats.Contrast;
correlation=stats.Correlation;
energy=stats.Energy;
homogeneity=stats.Homogeneity;
fprintf(fp, '%4.4f, ',contrast);
fprintf(fp, '%4.4f, ',correlation);
fprintf(fp, '%4.4f, ',energy);
fprintf(fp, '%4.4f, ',homogeneity);

%Features 55-56
%Hough Peaks
[H, theta, rho] = hough(im2bw(I));
peaks = houghpeaks(H);
fprintf(fp, '%4.4f, %4.4f, ',peaks(1), peaks(2));

%Features 57-61
%Statistical Features - Global
fprintf(fp,'%4.4f, %4.4f, %4.4f, %4.4f, %4.4f,',entropy(I), mean2(I), std2(I), skewness(double(I(:))), kurtosis(double(I(:))));

%Features 62-66
%Statistical Features - Local
fprintf(fp,'%4.4f, %4.4f, %4.4f, %4.4f, %4.4f\r\n',entropy(I2), mean2(I2), std2(I2), skewness(double(I2(:))), kurtosis(double(I2(:))));

clear I2
clear I
clear
pack
