clear
close all
 %--------Setting lookup images---------%
 % load the object parts
line = im2double(imread('rule-of-thirds-objective-line.png'));
line_spread = im2double(imread('rule-of-thirds-objective-line-spread.png'));
pp = im2double(imread('rule-of-thirds-objective-pp.png'));
pp_spread = im2double(imread('rule-of-thirds-objective-pp-spread.png'));

% scale up or down the individual components
line_objective_lut = max(1.0 * line, 0.5 * line_spread);
pp_objective_lut = max(1.0 * pp, 0.5 * pp_spread);
objective_lut = max(1.0 * line_objective_lut, 1.0 * pp_objective_lut);

width_lookup=300;
height_lookup=300;

%Read all images to rgb 
input_dir = 'c:\Users\khan\Desktop\cs888\database_FaceAesthetics\single';

filenames = dir(fullfile(input_dir, '*.jpg'));
num_images = numel(filenames);

%images = zeros(prod(image_dims),num_images);
fp=fopen('features.csv','w');


for n = 1:num_images
filename = fullfile(input_dir, filenames(n).name);
[pathstr, name, ext] = fileparts(filename);
fprintf(fp,'%s%s, ',name,ext);
fprintf('%d of %d ---  %s%s..................',n,num_images,name,ext);
ofn=strcat(name,ext);
I = imread(filename);
x=I;
if (size(x,3)>1)%if RGB image make gray scale
    try
        x=rgb2gray(x);%image toolbox dependent
    catch
        x=sum(double(x),3)/3;%if no image toolbox do simple sum
    end
end
%x=double(x);%make sure the input is double format
x=im2double(x);
[all_output,count,m,svec]=facefind(x);%full scan 
[a b]= size(all_output);

%if multiple faces detected, then choose the largest one as the main face
if (b > 1)
    faceArea = zeros(b,1);
    for i=1:b   
        faceArea(i)=(all_output(2,i)-all_output(1,i))*(all_output(4,i)-all_output(3,i));
    end
[mx index]=max(faceArea);
output(1)=all_output(1,index);
output(2)=all_output(2,index);
output(3)=all_output(3,index);
output(4)=all_output(4,index);
output=output(:);

else if (b==1)
        output=all_output;
    end
end

if(b>0) % only display if some face is detected
    [m n r]=size(I);
    %aesthetic_features(fp, I, output,m,n) %Traditional Features
    new_aesthetic_features(fp, I, output,m,n,line_objective_lut,pp_objective_lut,objective_lut,width_lookup,height_lookup) %Proposed features

end
fprintf('COMPLETE\r\n');
end

fclose(fp);

