function new_aesthetic_features(fp, I, output,n,m,line_objective_lut,pp_objective_lut,objective_lut,width_lookup,height_lookup)

Xa=0;
Xb=m;
Ya=0;
Yb=n;
width=Xb-Xa;
height=Yb-Ya;

%image coordinates
xa=output(1);
xb=output(2);
ya=output(3);
yb=output(4);

width_face=xb-xa;
height_face=yb-ya;

%Mid points of face
midx = (xa+xb)/2;
midy = (ya+yb)/2;

% Engineered Aesthetic Features based on Lookup tables
fprintf('xa=%f xb=%f ya=%f yb=%f\n', xa,xb,ya,yb);
fprintf('xa=%f xb=%f ya=%f yb=%f\n', width_lookup/width*xa,width_lookup/width*xb,height_lookup/height*ya,height_lookup/height*yb);
% fprintf(fp, '%f, ', line_objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', line_objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*yb)));
% fprintf(fp, '%f, ', line_objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', line_objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*yb)));
fprintf(fp, '%4.5f, ', line_objective_lut(floor(width_lookup/width*midx), floor(height_lookup/height*midy)));

% fprintf(fp, '%f, ', pp_objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', pp_objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*yb)));
% fprintf(fp, '%f, ', pp_objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', pp_objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*yb)));
fprintf(fp, '%4.5f, ', pp_objective_lut(floor(width_lookup/width*midx), floor(height_lookup/height*midy)));

% fprintf(fp, '%f, ', objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', objective_lut(floor(width_lookup/width*xa), floor(height_lookup/height*yb)));
% fprintf(fp, '%f, ', objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*ya)));
% fprintf(fp, '%f, ', objective_lut(floor(width_lookup/width*xb), floor(height_lookup/height*yb)));
fprintf(fp, '%4.5f, ', objective_lut(floor(width_lookup/width*midx), floor(height_lookup/height*midy)));

%-------------VISUAL FEATURES----------------%
% HSV of original Image
hsvI=rgb2hsv(I);
global_value = sum(sum((hsvI(:,:,3))))/(width*height);
% disp(sprintf('hue=%d sat=%d val=%d',global_hue,global_saturation,global_value));
fprintf(fp, '%4.5f, ',global_value);

%----------------------------------------------------------%
%Crops the image
% rect = [xa ya width_face height_face]; 
% I2 = imcrop(I, rect);
%Crop left side of face
rectl = [xa ya width_face/2 height_face];
I2l = imcrop(I,rectl);
% imshow(I2l);
hsvI2l=rgb2hsv(I2l);
% avgvI2l=mean2(hsvI2l(:,:,3));
avgvI2l = sum(sum((hsvI2l(:,:,3))))/(width_face*height_face);

%Crop right side of face
rectr = [xa+width_face/2 ya width_face/2 height_face];
I2r = imcrop(I,rectr);
hsvI2r=rgb2hsv(I2r);
% avgvI2r=mean2(hsvI2r(:,:,3));
avgvI2r = sum(sum((hsvI2r(:,:,3))))/(width_face*height_face);

%Absolute Difference between left and right face's avg v value
disp(sprintf('abs_avgvlr=%4.5f, ',abs(avgvI2l-avgvI2r)));
fprintf(fp, '%4.5f, ',abs(avgvI2l-avgvI2r));

%----------------------------------------------------------%
%cover the hair
nya = ya - height_face * 0.5;
Nx = [xa xb xb xa];
Ny = [Yb Yb nya nya];
r2=roifill(I(:,:,1),Nx,Ny);
g2=roifill(I(:,:,2),Nx,Ny);
b2=roifill(I(:,:,3),Nx,Ny);
I3 = cat(3, r2, g2, b2);
%I(int8(ya):int8(yb),int8(xa):int8(xb),:)=255; %

%Convert rgb to hsv after removing the face from foreground
hsvI3=rgb2hsv(I3);
% avgv=mean2(hsvI3(:,:,3));
avgv = sum(sum((hsvI3(:,:,3))))/(width*height);
disp(sprintf('abs_diff_v=%d, ',abs(global_value-avgv)));
%Absolute difference between v of original and this image
fprintf(fp, '%4.5f, ',abs(global_value-avgv));
%---------------------------------------------------------------%

face_ratio = (width_face*height_face)/(width*height);
disp(sprintf('face_ratio=%4.5f',face_ratio));
fprintf(fp,'%4.5f\r\n, ',face_ratio);

