%Use these commands to read output files that contains accuracy of
%classifiers
% open traditional_output.csv
% data1=data;
% open proposed_output.csv
% data2=data;

sampleSize=size(data1,1);
AccuracyMean1=mean(data1);%Traditional output
AccuracySEM1 = std(data1)./sqrt(sampleSize);
AccuracyCI1 = AccuracySEM1.*1.96; %Calculate 95% confidence interval size


AccuracyMean2=mean(data2);%Proposed output
AccuracySEM2 = std(data2)./sqrt(sampleSize);
AccuracyCI2 = AccuracySEM2.*1.96; %Calculate 95% confidence interval size

classifier={'SVM','RF','KNN','CVR', 'MAB'};
AccuracyTitle='Mean Accuracy (95% Confidence Plot)';
xPositions = [1, 2, 3, 4, 5];  % Use these as base x-axis error bar positions
figure
hold on
errorbar(xPositions, AccuracyMean1, AccuracyCI1, 'rs', 'LineWidth', 2) % Red
errorbar(xPositions, AccuracyMean2, AccuracyCI2, 'bo', 'LineWidth', 2) % Blue 
set(gca, 'XTick', 1:5, 'XTickLabel', classifier) % Set ticks and tick labels
set(gca, 'YLim',[0.50 0.65]);
xlabel('Classifiers');
ylabel('Mean Accuracy')
%title(AccuracyTitle)
legend({'Traditional Features', 'Proposed Features'}, 'Location', 'Northeast')
hold off

saveas(gcf,'CI.eps');