%Simple demonstration of one image face detection operation.

clear
close all

 %--------Setting lookup images---------%
 % load the object parts
line = im2double(imread('rule-of-thirds-objective-line.png'));
line_spread = im2double(imread('rule-of-thirds-objective-line-spread.png'));
pp = im2double(imread('rule-of-thirds-objective-pp.png'));
pp_spread = im2double(imread('rule-of-thirds-objective-pp-spread.png'));

% scale up or down the individual components
line_objective_lut = max(1.0 * line, 0.5 * line_spread);
pp_objective_lut = max(1.0 * pp, 0.5 * pp_spread);
objective_lut = max(1.0 * line_objective_lut, 1.0 * pp_objective_lut);

width_lookup=300;
height_lookup=300;

%Read image
fp=fopen('features.csv','w');
I = imread('lena.jpg');
x=I;
if (size(x,3)>1)%if RGB image make gray scale
    try
        x=rgb2gray(x);%image toolbox dependent
    catch
        x=sum(double(x),3)/3;%if no image toolbox do simple sum
    end
end
%x=double(x);%make sure the input is double format
x=im2double(x);
[all_output,count,m,svec]=facefind(x);%full scan 
[a b]= size(all_output);
%if multiple faces detected, then choose the largest one as the main face
if (b > 1)
    faceArea = zeros(b,1);
    for i=1:b   
        faceArea(i)=(all_output(2,i)-all_output(1,i))*(all_output(4,i)-all_output(3,i));
    end
[mx index]=max(faceArea);
output(1)=all_output(1,index);
output(2)=all_output(2,index);
output(3)=all_output(3,index);
output(4)=all_output(4,index);
output=output(:);
else if (b==1)
    output=all_output;
    end
end
%  figure
%  subplot(7,1,1)
% % imagesc(x), colormap(gray)%show image
% image(I)
%  plotbox(output,[],1)%plot the detections as red squares
%  plotsize(x,m)%plot minmum and maximum face size to detect as green squares in top left corner

 
%Size of image
[m n r]=size(I);
fprintf('m=%d, n=%d\n',m,n);
%aesthetic_features(fp, I, output,m,n); %this function contains plots
new_aesthetic_features(fp, I, output,m,n,line_objective_lut,pp_objective_lut,objective_lut,width_lookup,height_lookup) %this function does not contain plots
fclose(fp);

